com.tibbo.aggregate.common.context

## Class DefaultRequestOriginator

- java.lang.Object
- - com.tibbo.aggregate.common.context.DefaultRequestOriginator

- All Implemented Interfaces:
    Originator

      public class DefaultRequestOriginator
      extends java.lang.Object
      implements Originator

- - ### Field Summary

    - ### Fields inherited from interface com.tibbo.aggregate.common.context.Originator

      `TYPE_BINDING_PROVIDER, TYPE_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRequestOriginator()`
    `DefaultRequestOriginator(int originatorType)`
    `DefaultRequestOriginator(java.lang.Object originatorObject)`
    `DefaultRequestOriginator(java.lang.Object originatorObject, int originatorType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getOriginatorObject()`
    `int` | `getOriginatorType()`
    `void` | `setOriginatorObject(java.lang.Object originatorObject)`
    `void` | `setOriginatorType(int originatorType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRequestOriginator

          public DefaultRequestOriginator()

    - #### DefaultRequestOriginator

          public DefaultRequestOriginator(java.lang.Object originatorObject)

    - #### DefaultRequestOriginator

          public DefaultRequestOriginator(int originatorType)

    - #### DefaultRequestOriginator

          public DefaultRequestOriginator(java.lang.Object originatorObject,
                                          int originatorType)

  - ### Method Detail

    - #### getOriginatorObject

          public java.lang.Object getOriginatorObject()

      Specified by:
        `getOriginatorObject` in interface `Originator`

    - #### setOriginatorObject

          public void setOriginatorObject(java.lang.Object originatorObject)

      Specified by:
        `setOriginatorObject` in interface `Originator`

    - #### getOriginatorType

          public int getOriginatorType()

      Specified by:
        `getOriginatorType` in interface `Originator`

    - #### setOriginatorType

          public void setOriginatorType(int originatorType)

      Specified by:
        `setOriginatorType` in interface `Originator`